---
name: 🐛 Bug report
about: Report a bug to help PIQA improve
title: <issue> using <module>.<component>
labels: bug
---

### 🐛 Bug

#### Description

A clear description of what the bug is.

#### Reproduce

A minimal working example demonstrating the current behavior.

```python
from piqa import module
...
y = module.component(x) # bug happens
```

#### Expected behavior

A clear description of what you expected to happen.

#### Causes and solution

If you know the causes and/or a solution to the bug, present them.

#### Environment

* PIQA version: [e.g. 1.0.7]
* Python version: [e.g. 3.6.4]
* OS: [e.g. Windows10]
